Summary:	A MIDI Network Gateway via UDP/IP Multicast
Name:		qmidinet
Version:	0.9.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Sound/Utilities
URL:		http://qmidinet.sourceforge.net/
Source0:	https://sourceforge.net/projects/qmidinet/files/qmidinet/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	desktop-file-utils
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(alsa)

%description
QmidiNet is a MIDI network gateway application that sends and receives
MIDI data (ALSA Sequencer and/or JACK MIDI) over the network, using UDP/IP
multicast. Inspired by multimidicast (http://llg.cubic.org/tools) and
designed to be compatible with ipMIDI for Windows (http://nerds.de).

%prep
%setup -q
%autopatch -p1

%build
%configure --enable-debug
%make_build

%install
%make_install

#menu
desktop-file-install \
  --remove-key="X-SuSE-translate" \
  --remove-key="Version" \
  --add-category="X-Mageia-CrossDesktop" \
  --dir %{buildroot}%{_datadir}/applications \
%{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc AUTHORS ChangeLog README TODO
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/metainfo/%{name}.appdata.xml
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/%{name}*.1*
%lang(fr) %{_mandir}/fr/man1/%{name}*.1*


%changelog
* Sat Dec 19 2020 daviddavid <daviddavid> 0.9.0-1.mga8
+ Revision: 1661139
- new version: 0.9.0

* Thu Dec 17 2020 umeabot <umeabot> 0.6.3-2.mga8
+ Revision: 1659497
- Rebuild for new Qt5

* Sat Aug 01 2020 daviddavid <daviddavid> 0.6.3-1.mga8
+ Revision: 1610157
- new version: 0.6.3
+ danf <danf>
- Switch URLs from http: to https:

* Tue Mar 31 2020 daviddavid <daviddavid> 0.6.2-1.mga8
+ Revision: 1562520
- new version: 0.6.2

* Tue Feb 18 2020 umeabot <umeabot> 0.6.1-2.mga8
+ Revision: 1541323
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Dec 22 2019 daviddavid <daviddavid> 0.6.1-1.mga8
+ Revision: 1469571
- new version: 0.6.1

* Thu Oct 17 2019 daviddavid <daviddavid> 0.6.0-1.mga8
+ Revision: 1454278
- new version: 0.6.0

* Mon Oct 07 2019 daviddavid <daviddavid> 0.5.5-1.mga8
+ Revision: 1450077
- new version: 0.5.5

* Fri Apr 12 2019 daviddavid <daviddavid> 0.5.4-1.mga7
+ Revision: 1389321
- new version: 0.5.4

* Mon Apr 01 2019 umeabot <umeabot> 0.5.1-3.mga7
+ Revision: 1384228
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.5.1-2.mga7
+ Revision: 1300663
- Mageia 7 Mass Rebuild

* Mon Jun 11 2018 daviddavid <daviddavid> 0.5.1-1.mga7
+ Revision: 1236307
- new version: 0.5.1

* Sun Dec 31 2017 daviddavid <daviddavid> 0.5.0-1.mga7
+ Revision: 1188300
- new version: 0.5.0

* Sun Aug 20 2017 daviddavid <daviddavid> 0.4.3-1.mga7
+ Revision: 1142424
- new version: 0.4.3
- remove merged upstream patch

* Fri Nov 18 2016 daviddavid <daviddavid> 0.4.2-1.mga6
+ Revision: 1068228
- new version: 0.4.2
- remove merged upstream patch
- use upstream desktop file

* Tue Mar 15 2016 daviddavid <daviddavid> 0.3.0-2.mga6
+ Revision: 990937
- rediff Qt5.5_build patch (since fixed autopatch)

* Sat Feb 13 2016 daviddavid <daviddavid> 0.3.0-1.mga6
+ Revision: 959793
- switch build to Qt5
- add two patches to fix buid:
  * Fix FTBFS with -Werror=format-security
  * Fix build with Qt5.5 or higher
- switch BRs to pkgconfig()
- update files list
+ oden <oden>
- 0.3.0

* Mon Oct 26 2015 daviddavid <daviddavid> 0.1.2-5.mga6
+ Revision: 895467
- fix empty debugfiles adding --enable-debug configure option

* Wed Oct 15 2014 umeabot <umeabot> 0.1.2-4.mga5
+ Revision: 746342
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.2-3.mga5
+ Revision: 688500
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.1.2-2.mga4
+ Revision: 522437
- Mageia 4 Mass Rebuild

* Sat Mar 02 2013 oden <oden> 0.1.2-1.mga3
+ Revision: 400985
- fix group
- imported package qmidinet


* Sat Mar 02 2013 Oden Eriksson <oeriksson@mandriva.com>
- initial Mageia package
